------------------------------------------------------------------------------------
--Name:  	juqing6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-10
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(113, 100)
CppScriptMgr:ShakeScrEffect(5)
local Player_1 = CppScriptMgr:AddPlayer(302, 115, 102, "", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 115, 102, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local Effect_1 = CppScriptMgr:AddEffect("taoist-huohuan", 115, 102, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("cyclonexian", 115, 102, 33, 1, 1, 1)
ChangeNpcZoom(Player_1, 150, 1, 5, 33)
CppScriptMgr:WaitMilSec(610)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 115, 102, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 116, 106, 33, 1, 1, 1)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(340)
local Player_2 = CppScriptMgr:AddSimplePlayer(100290, 115, 102, "", 0, 0)
Player_2:SetDir(7)
local Player_3 = CppScriptMgr:AddSimplePlayer(100290, 116, 106, "", 0, 0)
Player_3:SetDir(4)
CppScriptMgr:WaitMilSec(1530)
Player_2:SetAction(101)
Player_2:Say("I seemed to have a long nightmare...", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Dear Anthony, you are finally back!", 1000)
CppScriptMgr:WaitMilSec(1970)